{
  "type": "minecraft:block_column",
  "config": {
    "allowed_placement": {
      "type": "minecraft:matching_blocks",
      "blocks": "minecraft:air"
    },
    "direction": "up",
    "layers": [
      {
        "height": 32,
        "provider": {
          "type": "minecraft:simple_state_provider",
          "state": {
            "Name": "minecraft:mossy_cobblestone"
          }
        }
      }
    ],
    "prioritize_tip": false
  }
}